# This file created by conda-build 24.1.2
# ------------------------------------------------

package:
  name: maturin
  version: 1.5.1
source:
  sha256: 3dd834ece80edb866af18cbd4635e0ecac40139c726428d5f1849ae154b26dca
  url: https://pypi.io/packages/source/m/maturin/maturin-1.5.1.tar.gz
build:
  missing_dso_whitelist: null
  number: 0
  string: py310hb02cf49_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - rust 1.76.0 h6a678d5_0
    - rust_linux-64 1.71.1 h6a678d5_0
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_5
    - ca-certificates 2024.3.11 h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.13 h7f8727e_0
    - pip 23.3.1 py310h06a4308_0
    - python 3.10.14 h955ad1f_0
    - readline 8.2 h5eee18b_0
    - semantic_version 2.8.5 pyhd3eb1b0_0
    - setuptools 68.2.2 py310h06a4308_0
    - setuptools-rust 1.9.0 py310h06a4308_0
    - sqlite 3.41.2 h5eee18b_0
    - tk 8.6.12 h1ccaba5_0
    - tomli 2.0.1 py310h06a4308_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.41.2 py310h06a4308_0
    - xz 5.4.6 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - libgcc-ng >=11.2.0
    - python >=3.10,<3.11.0a0
    - tomli >=1.1.0
test:
  commands:
    - maturin -V
    - maturin --help
    - maturin build --help
    - pip check
  imports:
    - maturin
  requires:
    - pip
about:
  description: 'This project is meant as a zero configuration replacement for setuptools-rust
    and milksnake.

    It supports building wheels for python 3.5+ on windows, linux, mac and freebsd,
    can upload them to pypi and has basic pypy support.

    '
  dev_url: https://github.com/PyO3/maturin
  doc_url: https://www.maturin.rs/
  home: https://www.maturin.rs/
  license: MIT OR Apache-2.0
  license_family: MIT
  license_file: license-mit
  summary: Build and publish crates with pyo3, rust-cpython and cffi bindings as well
    as rust binaries as python packages
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 968145dd-77ad-4c69-8ed9-b70fb84499af
  recipe-maintainers:
    - apcamargo
  remote_url: git@github.com:AnacondaRecipes/maturin-feedstock.git
  sha: 186bc91be9867d10dd482371c01b923fd1e74617
